Message.Response (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.transport

## Class Message.Response

- java.lang.Object
- - org.apache.cassandra.transport.Message
  - - org.apache.cassandra.transport.Message.Response

- Direct Known Subclasses:
    AuthChallenge, AuthenticateMessage, AuthSuccess, ErrorMessage, EventMessage, ReadyMessage, ResultMessage, SupportedMessage
  Enclosing class:
    Message

      public abstract static class Message.Response
      extends Message

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.transport.Message

      `Message.Codec<M extends Message>, Message.Direction, Message.Dispatcher, Message.ExceptionHandler, Message.ProtocolDecoder, Message.ProtocolEncoder, Message.Request, Message.Response, Message.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.UUID` | `tracingId`
    `protected java.util.List<java.lang.String>` | `warnings`

    - ### Fields inherited from class org.apache.cassandra.transport.Message

      `connection, forcedProtocolVersion, logger, type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Response(Message.Type type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.UUID` | `getTracingId()`
    `java.util.List<java.lang.String>` | `getWarnings()`
    `Message` | `setTracingId(java.util.UUID tracingId)`
    `Message` | `setWarnings(java.util.List<java.lang.String> warnings)`

    - ### Methods inherited from class org.apache.cassandra.transport.Message

      `attach, connection, getCustomPayload, getSourceFrame, getStreamId, setCustomPayload, setSourceFrame, setStreamId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tracingId

          protected java.util.UUID tracingId

    - #### warnings

          protected java.util.List<java.lang.String> warnings

  - ### Constructor Detail

    - #### Response

          protected Response(Message.Type type)

  - ### Method Detail

    - #### setTracingId

          public Message setTracingId(java.util.UUID tracingId)

    - #### getTracingId

          public java.util.UUID getTracingId()

    - #### setWarnings

          public Message setWarnings(java.util.List<java.lang.String> warnings)

    - #### getWarnings

          public java.util.List<java.lang.String> getWarnings()

Copyright © 2018 The Apache Software Foundation